# apollo.pro
#
# $Id: apollo.pro,v 1.78 2002/03/13 15:09:35 amos Exp $
#
# Apollo sound player: http://www.apolloplayer.org
# Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
# The GNU General Public License is also available online at:
#
# http://www.gnu.org/copyleft/gpl.html
#
############################################################################
#
# Project file for the Apollo sound player: http://www.apolloplayer.org
#
# To create a Makefile out of this project file, do the following:
#
#   tmake apollo.pro -o Makefile
#
# Now, simply run
#
#   make
#
# (if you're using FreeBSD, run 'gmake')
#
# and Apollo will be compiled.  tmake can be downloaded free from
# ftp.trolltech.com.

# ---- SETTINGS ----

# Uncomment the line below by removing the hash mark in front to enable
# the mpg123 buffer setting in Apollo.  The buffer support is disabled
# by default due to the very buggy handling of buffers in mpg123 0.59r.

#DEFINES		=	ENABLE_MPG123_BUFFER

# ---- NO CHANGES BELOW THIS LINE SHOULD BE NECESSARY -----

PROJECT				=	Apollo
CONFIG				+=	qt release
#unix:TMAKE_CXXFLAGS	=	-Wall -Wno-ctor-dtor-privacy	# No singleton warnings.
unix:DEFINES		+=	ENABLE_MPG123 # USING_QT3 ENABLE_ID3 ENABLE_XMP ENABLE_MAD ENABLE_REMOTE_CONTROL
#unix:DEPENDPATH		=	.							# id3lib*, xmp
#unix:LIBS			=	-Lxmp/ -lmad -lid3	-lxmp		# xmp
#unix:LIBS			=	-lmad -lid3						# libmad
#unix:INCLUDEPATH	=	/usr/local/include				# mad.h, id3/*.h
unix:DEFINES		+=	OS_UNIX
win32:DEFINES		+=	OS_WIN32
win32:DEFINES		+=	QT_DLL QT_THREAD_SUPPORT
# For FreeBSD:  (use gmake instead of make)
#unix:INCLUDEPATH        +=      .
#unix:INCLUDEPATH        +=      /usr/compat/linux/usr/X11R6/include/
TARGET				=	apollo
OBJECTS_DIR			=	obj
MOC_DIR				=	moc
SOURCES			= \
				main.cpp \
				qmaboutdialog.cpp \
				qmaccelmanager.cpp \
                qmapollopage.cpp \
				qmbrowser.cpp \
				qmbrowseritem.cpp \
				qmconfig.cpp \
				qmconfigdialog.cpp \
				qmconfigpage.cpp \
				qmcontrolbar.cpp \
                qmcompactwindow.cpp \
				qmdefaultmenuitem.cpp \
				qmdirbrowser.cpp \
				qmdirbrowseritem.cpp \
				qmdiritem.cpp \
				qmdropindicator.cpp \
				qmfiledialog.cpp \
				qmlistview.cpp \
				qmlistviewitem.cpp \
				qmlogopage.cpp \
				qmm3uformat.cpp \
				qmmadplayer.cpp \
				qmmainwindow.cpp \
				qmmarkdialog.cpp \
				qmmarkmanager.cpp \
				qmmenubutton.cpp \
				qmmixer.cpp \
				qmmp3info.cpp \
				qmmpg123page.cpp \
				qmmpg123player.cpp \
				qmnonepage.cpp \
				qmnullinfo.cpp \
				qmnullplayer.cpp \
				qmogginfo.cpp \
				qmpixmapsupplier.cpp \
				qmplaylist.cpp \
				qmplayfirst.cpp \
				qmplaylistbrowser.cpp \
				qmplaylistbrowseritem.cpp \
				qmplaylistformat.cpp \
				qmplaylistitem.cpp \
				qmplaylistpropertypage.cpp \
				qmpositionbar.cpp \
				qmpropertydialog.cpp \
				qmrecoverydialog.cpp \
				qmrecoverymanager.cpp \
				qmrenameedit.cpp \
				qmshortcutpage.cpp \
				qmstuffpage.cpp \
				qmsonginfo.cpp \
				qmsonginfopropertypage.cpp \
				qmsongitem.cpp \
				qmsystray.cpp \
				qmstatusbar.cpp \
				qmvolumebar.cpp \
				qmxmlformat.cpp \
				qmxmpplayer.cpp \
				audio/qmhttpstream.cpp \
				kckey.cpp \
				qmapplication.cpp \
				util.cpp \
				message.cpp \
				qmminibuffer.cpp \
				qmremotecontrol.cpp \
				globalaccel.cpp
HEADERS			= \
				qmaboutdialog.h \
				qmaccelmanager.h \
                qmapollopage.h \
				qmapplication.h \
				qmbrowser.h \
				qmbrowseritem.h \
				qmconfig.h \
				qmconfigdialog.h \
				qmconfigpage.h \
				qmcontrolbar.h \
                qmcompactwindow.h \
				qmdefaultmenuitem.h \
				qmdirbrowser.h \
				qmdirbrowseritem.h \
				qmdiritem.h \
				qmdropindicator.h \
				qmfiledialog.h \
				qmlistview.h \
				qmlistviewitem.h \
				qmlogopage.h \
				qmm3uformat.h \
				qmmadplayer.h \
				qmmainwindow.h \
				qmmarkdialog.h \
				qmmarkmanager.h \
				qmmenubutton.h \
				qmmixer.h \
				qmmp3info.h \
				qmmpg123page.h \
				qmmpg123player.h \
				qmnonepage.h \
				qmnullinfo.h \
				qmnullplayer.h \
				qmogginfo.h \
				qmpixmapsupplier.h \
				qmplayer.h \
				qmplaylist.h \
				qmplayfirst.h \
				qmplaylistbrowser.h \
				qmplaylistbrowseritem.h \
				qmplaylistformat.h \
				qmplaylistitem.h \
				qmplaylistpropertypage.h \
				qmpositionbar.h \
				qmpropertydialog.h \
				qmrecoverydialog.h \
				qmrecoverymanager.h \
				qmrenameedit.h \
				qmshortcutpage.h \
				qmstuffpage.h \
				qmsonginfo.h \
				qmsonginfopropertypage.h \
				qmsongitem.h \
				qmstatusbar.h \
				qmsystray.h \
				qmvolumebar.h \
				qmxmlformat.h \
				qmxmpplayer.h \
				audio/qmhttpstream.h \
				kckey.h \
				util.h \
				message.h \
				qmminibuffer.h \
				globalaccel.h \
				qmremotecontrol.h \
                glibtypes.h \
				xmp.h \
                qmautopointer.hpp \
                qmautoptr.h
