/* ;-*-c++-*-
 * 
 * qmhttpstream.h
 *
 * $Id: qmhttpstream.h,v 1.2 2002/03/07 03:50:14 mariuss Exp $
 * 
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#ifndef QMHTTPSTREAM_H_INCLUDED
#define QMHTTPSTREAM_H_INCLUDED

#include <qobject.h>
#include <qurl.h>
#include <qcstring.h>

class QSocket;

class QmHttpStream : public QObject
{
	Q_OBJECT
public:
	QmHttpStream(const QString &url = QString::null);
	virtual ~QmHttpStream();

	bool open();
	void setUrl(const QString &url);

private slots:
	void hostFound();
	void connected();
	void connectionClosed();
	void readyRead();
		
private:
	QSocket		*m_pSocket;
	QUrl		m_Url;
	QByteArray	m_HttpRequest;
};

#endif // QMHTTPSTREAM_H_INCLUDED
