/* ;-*-c++-*-
 * 
 * message.h
 *
 * $Id: message.h,v 1.5 2002/03/24 16:43:28 kyllingstad Exp $
 * 
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#ifndef MESSAGE_H_INCLUDED
#define MESSAGE_H_INCLUDED

/*!
  \file message.h
  A message to the user, status or error messages.
 */

#include <qstring.h>

class Message
{
public:
	enum Type { Status, Update, Error, Bug };

	explicit Message(Type type, const char *str);
	
	template<class T>
    Message(Type type, const char *str, const T &t) : m_Type(type) {
        msg.sprintf(str, t);
    }
    template<class T, class T2>
    Message(Type type, const char *str, const T &t, const T2 &t2) : m_Type(type) {
        msg.sprintf(str, t, t2);
    }        
    template<class T, class T2, class T3>
    Message(Type type, const char *str, const T &t, const T2 &t2, const T3 &t3) : m_Type(type) {
        msg.sprintf(str, t, t2, t3);
    }
    template<class T, class T2, class T3, class T4>
    Message(Type type, const char *str, const T &t, const T2 &t2, const T3 &t3, const T4 &t4) : m_Type(type) {
        msg.sprintf(str, t, t2, t3, t4);
    }
    template<class T, class T2, class T3, class T4, class T5>
    Message(Type type, const char *str, const T &t, const T2 &t2, const T3 &t3, const T4 &t4,
		const T5 &t5) : m_Type(type) {
        msg.sprintf(str, t, t2, t3, t4, t5);
    }

	const QString& message() const { return msg; }
	Type type() const { return m_Type; }

private:
	Type m_Type;
	QString msg;
};


#endif
