/* qmapollopage.cpp
 *
 * $Id: qmapollopage.cpp,v 1.6 2002/03/07 03:44:16 mariuss Exp $
 *
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#include "qmapollopage.h"

#include <qapplication.h>
#include <qheader.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qlistview.h>

/*!
  \class QmApolloPage qmapollopage.h
  \brief Provides some information about Apollo, such as compilation settings.


*/


/*!

*/

QmApolloPage::QmApolloPage(
    QmConfigDialog *parent,
    const char *name)
    : QmConfigPage(parent, name)
{
    QVBoxLayout *main = new QVBoxLayout(this, 4);

    QLabel *info = new QLabel(tr("Apollo was compiled with the following settings."), this);
    
    QListView *list = new QListView(this);
    list->addColumn(tr("Option"));
    list->addColumn(tr("Setting"));

#ifdef ENABLE_MPG123
    (void) new QListViewItem(list, tr("mpg123 support"), tr("Yes"));
#else
    (void) new QListViewItem(list, tr("mpg123 support"), tr("No"));
#endif    

#ifdef APOLLO_USE_STL
    (void) new QListViewItem(list, tr("Uses STL"), tr("Yes"));
#else    
    (void) new QListViewItem(list, tr("Uses STL"), tr("No"));
#endif

#ifdef APOLLO_USE_KDE
    (void) new QListViewItem(list, tr("Uses KDE"), tr("Yes"));
#else    
    (void) new QListViewItem(list, tr("Uses KDE"), tr("No"));
#endif

#ifdef ENABLE_ID3
    (void) new QListViewItem(list, tr("Uses ID3"), tr("Yes"));
#else    
    (void) new QListViewItem(list, tr("Uses ID3"), tr("No"));
#endif

#ifdef ENABLE_MAD
    (void) new QListViewItem(list, tr("Uses MAD"), tr("Yes"));
#else    
    (void) new QListViewItem(list, tr("Uses MAD"), tr("No"));
#endif

    QLabel *info2 = new QLabel(tr("Apollo was started with the following arguments."), this);
    
    QListView *list2 = new QListView(this);
    list2->addColumn(tr("Argument"));
    list2->header()->hide();

    for(int i = 0; i < qApp->argc(); i++)
        (void) new QListViewItem(list2, qApp->argv()[i]);
    
    main->addWidget(info);
    main->addWidget(list, 2);
    main->addWidget(info2);
    main->addWidget(list2, 2);
}


/*!

*/

QmApolloPage::~QmApolloPage()
{
}


void
QmApolloPage::save()
{
}

void
QmApolloPage::load()
{
}
