/* ;-*-c++-*-
 * 
 * qmbrowser.h
 *
 * $Id: qmbrowser.h,v 1.7 2002/03/08 15:06:47 amos Exp $
 * 
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#ifndef QMBROWSER_H_INCLUDED
#define QMBROWSER_H_INCLUDED

#include <qwidget.h>

#include "qmplaylistbrowser.h"


class QComboBox;
class QWidgetStack;

class QmDirBrowser;
class QmMainWindow;

class QmBrowser : public QWidget
{
	Q_OBJECT
public:
	QmBrowser(QmMainWindow *mainwindow, QWidget *parent = 0, const char *name = 0);
	virtual ~QmBrowser();

	bool hasBrowserFocus() const;
	void removeItem();
    void loadPlayListTree(const QString &filename);
    QString playTreeFile() { return m_pPlayListBrowser->filePath(); }

public slots:
    void showDirectories();
    void showPlaylists();

private slots:
	void browserActivated(int);

private:
#ifdef _WS_WIN_
	#define PLAYLIST_MODE 0
	#define DIRECTORY_MODE 1
#else
	static const int 	PLAYLIST_MODE  = 0;
	static const int 	DIRECTORY_MODE = 1;
#endif	

	QmMainWindow		*m_pMainWindow;
	QmDirBrowser		*m_pDirBrowser;
	QmPlayListBrowser	*m_pPlayListBrowser;
	QComboBox			*m_pMode;
	QWidgetStack		*m_pStack;
};

#endif // QMBROWSER_H_INCLUDED
