/* ;-*-c++-*-
 * 
 * qmconfigdialog.h
 *
 * $Id: qmconfigdialog.h,v 1.11 2002/03/14 09:42:28 amos Exp $
 *
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#ifndef QMCONFIGDIALOG_H_INCLUDED
#define QMCONFIGDIALOG_H_INCLUDED

/*! \file qmconfigdialog.h
  Definition of QmConfigDialog class which displays a configuration dialog.
*/

#include <qdialog.h>
#include <qmap.h>
#include <qhbox.h>
#include <qlayout.h>
#include <qpushbutton.h>

class QListView;
class QListViewItem;
class QWidgetStack;
class QListViewItem;
class QmConfigPage;

class QmConfigDialog : public QDialog
{
	Q_OBJECT
public:
	QmConfigDialog(QWidget *parent = 0, const char *name = 0);
	virtual ~QmConfigDialog();
	void currentPageChanged(); 

protected slots:
	virtual void accept();
	virtual void reject();

private slots:
	void selectionChanged(QListViewItem *i);
	void apply();
	
private:
	void setPage(const QString &name);
	void askAboutApply();
	void addPage(const QString &name, QmConfigPage *w);

	QListView 					*m_pTree;
	QWidgetStack 				*m_pStack;
	QMap<QString, QmConfigPage*> m_Pages;
	QPushButton                 *m_pClose;
	QPushButton                 *m_pApply;
	bool m_CurrentPageChanged;

	class AskDialog : public QDialog
    {
	public:
		AskDialog(QWidget *parent=0);
    };
};

#endif // QMCONFIGDIALOG_H_INCLUDED
