/* qmconfigpage.cpp
 *
 * $Id: qmconfigpage.cpp,v 1.9 2002/03/07 03:44:16 mariuss Exp $
 *
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#include "qmconfigpage.h"

#include <qwidget.h>

/**
 * \file qmconfigpage.cpp
 * \brief Generic page in the preferences dialog - not presently used
 */

/*!
  \class QmConfigPage qmconfigpage.h
  \brief Represents the base class for all configuration pages.

  Provides a common interface to all configuration pages.  This interface is used
  by the configuration dialog.

  Note that it's typically not necessary to "explicitly" set the various widget to
  their saved value in the constructor.  The configuration dialog will call load()
  when the page is displayed and save() when necessary.
*/


/*!

*/

QmConfigPage::QmConfigPage(
	QmConfigDialog *parent,
	const char *name,
	WFlags f)
	: QWidget(parent, name, f), m_pParent(parent)
{
}


/*!

*/

QmConfigPage::~QmConfigPage()
{
}

/*!
  Children should call this when changes are made in them
*/
void
QmConfigPage::changed()
{
	m_pParent->currentPageChanged();
}


/*!
  Called by QmConfigDialog to discard current changes
*/
void
QmConfigPage::discard()
{
}
