/* ;-*-c++-*-
 * 
 * qmdefaultmenuitem.h
 *
 * $Id: qmdefaultmenuitem.h,v 1.5 2002/03/07 03:44:16 mariuss Exp $
 * 
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#ifndef QMDEFAULTMENUITEM_H_INCLUDED
#define QMDEFAULTMENUITEM_H_INCLUDED

#include <qfont.h>
#include <qmenudata.h>

/*! \file qmdefaultmenuitem.h
  Definition of QmDefaultMenuItem class which represents the default menu item.
*/

class QmDefaultMenuItem : public QCustomMenuItem
{
public:
	QmDefaultMenuItem(const QString &label, const QFont &font);
	virtual ~QmDefaultMenuItem();

	virtual void paint(QPainter *p,
					   const QColorGroup &cg,
					   bool act,
					   bool enabled,
					   int x,
					   int y,
					   int w,
					   int h);
	virtual QSize sizeHint();
	
private:
	QString 	m_Label;
	QFont 		m_Font;
};

#endif // QMDEFAULTMENUITEM_H_INCLUDED
