/* ;-*-c++-*-
 * 
 * qmdirbrowser.h
 *
 * $Id: qmdirbrowser.h,v 1.8 2002/03/07 03:44:16 mariuss Exp $
 * 
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#ifndef QMDIRBROWSER_H_INCLUDED
#define QMDIRBROWSER_H_INCLUDED

#include "qmlistview.h"

class QPopupMenu;
class QPoint;

class QmMainWindow;

class QmDirBrowser : public QmListView
{
	Q_OBJECT
public:
	QmDirBrowser(QmMainWindow *mainwindow, QWidget *parent = 0, const char *name = 0);
	virtual ~QmDirBrowser();

private slots:
	void addRoot();
	void removeRoot();
	void appendDir();
	void prependDir();
	void replaceDir();
	void refresh();

	void showPopup(QListViewItem *current, const QPoint &pos, int col);
    void mouseClick(int button, QListViewItem *item, const QPoint &pos, int c);

protected:
	virtual void loadDirectoryTree();
	virtual void startDragging();

//     void mouseClick(int button, QListViewItem * item, const QPoint & pos, int c );
// 	void showPopup(QListViewItem *current, const QPoint &pos, int);
private:
	QmMainWindow 		*m_pMainWindow;
	QPopupMenu 			*m_pMenu;
	int 		 		 m_RemoveRootId;
	int 		 		 m_AppendDirId;
	int 		 		 m_PrependDirId;
	int 		 		 m_ReplaceDirId;
    QPoint               m_presspos;
    bool                 m_draggingp;
};

#endif // QMDIRBROWSER_H_INCLUDED
