/* ;-*-c++-*-
 *
 * qmdirtree.h
 *
 * $Id: qmdiritem.h,v 1.23 2002/03/07 03:44:16 mariuss Exp $
 * 
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#ifndef QMDIRITEM_H_INCLUDED
#define QMDIRITEM_H_INCLUDED

#include "qmplaylistitem.h"
#include <qdir.h>

/*! \file qmdiritem.h
  Definition of QmDirItem class which represents a directory in the playlist.
*/

class QTextStream;

class QmDirItem : public QmPlayListItem
{
public:
    QmDirItem(QListView *parent, QListViewItem *after, const char *path, int &count, bool autoload=false);
    QmDirItem(QmDirItem *parent, QListViewItem *after, const char *path, int &count, bool autoload=false);
    QmDirItem(QListView *parent, QListViewItem *after, QString &label);
    QmDirItem(QmDirItem *parent, QListViewItem *after, QString &label);

	virtual QString save( const QString &rel_path ) const;
	virtual bool isSong() const;
    QString		 text(int column) const;
    QString 	 fullName();
    void 		 setOpen(bool open);
    void 		 setup();
    void 		 expand(int &count);
    virtual long updateLength();
    virtual void writeXml(QTextStream &out);
    
private:
    void        init( bool expand, int &count );
    bool        hasDirItem( const QFileInfo *fi ) const;
    bool        hasSongItem( const QFileInfo *fi ) const;

private:
	QDir		m_Dir;
	bool		m_AutoLoad;
    QString     m_Label;
	int         m_Songs;
};

#endif // QMDIRITEM_H_INCLUDED
