/* qmlistviewitem.cpp
 *
 * $Id: qmlistviewitem.cpp,v 1.6 2002/03/07 03:44:16 mariuss Exp $
 *
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#include "qmlistviewitem.h"
#include "qmconfig.h"

/*!
  \file qmlistviewitem.cpp
  Generic listitem widget
 */

/*!
  \class QmListViewItem qmlistviewitem.h
  \brief Represents a listview item.

  This class, deriving from QListViewItem, adds persistent storage
  functionality.  Derive from this class and implement save().

  \sa QmListView
*/


/*!

*/

QmListViewItem::QmListViewItem(
	QListView *parent)
	: QListViewItem(parent)
{
}


/*!

*/

QmListViewItem::QmListViewItem(
	QListViewItem *parent)
	: QListViewItem(parent)
{
}


/*!

 */

QmListViewItem::QmListViewItem(
	QListView *parent,
	QListViewItem *after)
	: QListViewItem(parent)
{
	if (after)
		moveItem(after);
}


/*!

 */

QmListViewItem::QmListViewItem(
	QListViewItem *parent,
	QListViewItem *after)
	: QListViewItem(parent)
{
	if (after)
		moveItem(after);
}


/*!

*/

QmListViewItem::~QmListViewItem()
{
}

void
QmListViewItem::setup()
{
    QListViewItem::setup();
    bool packed;
    QmConfig::instance()->get( "stuff", "packed", packed);
    if (packed)
        setHeight(listView()->fontMetrics().height());
}
