/* qmlogopage.cpp
 *
 * $Id: qmlogopage.cpp,v 1.4.2.1 2002/07/01 11:26:14 amos Exp $
 *
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#include "qmlogopage.h"

#include "qmpixmapsupplier.h"

#include <qlabel.h>
#include <qlayout.h>

/*!
  \class QmLogoPage qmlogopage.h
  \brief Blank page for use in the configuration dialog.  Shows the Apollo logo.

  This class is present in order for the configuration dialog code to be uniform and
  consistent (all pages shown derive from QmConfigPage).
*/


/*!

*/

QmLogoPage::QmLogoPage(
	QmConfigDialog *parent,
	const char *name)
	: QmConfigPage(parent, name)
{
	QVBoxLayout *main = new QVBoxLayout(this, 4);
	
	QmPixmapSupplier *sup = QmPixmapSupplier::instance();

	QLabel *logo = new QLabel(this);
	logo->setPixmap( sup->pixmap( "icons-apollo" ) );
    logo->setBackgroundColor(white);
	logo->setAlignment(AlignCenter);
	logo->setFrameStyle(QFrame::StyledPanel | QFrame::Sunken);

	main->addWidget(logo, 2);
}


/*!

*/

QmLogoPage::~QmLogoPage()
{
}


/*!

*/

void
QmLogoPage::load()
{
	// dummy
}


/*!

*/

void
QmLogoPage::save()
{
	// dummy
}

