/* ;-*-c++-*-
 * 
 * qmmadplayer.h
 *
 * $Id: qmmadplayer.h,v 1.6 2002/03/07 03:44:16 mariuss Exp $
 * 
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#ifdef ENABLE_MAD

#ifndef QMMADPLAYER_H_INCLUDED
#define QMMADPLAYER_H_INCLUDED

extern "C" {
#include <mad.h>
}

#include "qmplayer.h"

class QmMadPlayer : public QmPlayer
{
public:
	QmMadPlayer();
	virtual ~QmMadPlayer();

	bool isPlaying() const;
	bool isPaused() const;

public slots:
	virtual void	play(const QString &Filename);
    virtual void	play();
    virtual void	stop();
    virtual void	pause();
	virtual void	restart();
    virtual void	jump( int pos );

private:
	bool	m_Playing;
	bool	m_Paused;
	QString	m_Filename;
	
	// Private message buffer.
	struct buffer
	{
		unsigned char const *start;
		unsigned long length;
	};
	
	static void					decode(unsigned char const *, unsigned long);
	static mad_flow				input(void *data, struct mad_stream *stream);
	static mad_flow				output(void *data, struct mad_header const *header, struct mad_pcm *pcm);
	static mad_flow				error(void *data, struct mad_stream *stream, struct mad_frame *frame);
	static inline signed int	scale(mad_fixed_t sample);
};

#endif // QMMADPLAYER_H_INCLUDED
#endif // ENABLE_MAD
