/* ;-*-c++-*-
 * 
 * qmmarkmanager.h
 *
 * $Id: qmmarkmanager.h,v 1.7 2002/03/07 03:44:16 mariuss Exp $
 * 
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#ifndef QMMARKMANAGER_H_INCLUDED
#define QMMARKMANAGER_H_INCLUDED

#include <qobject.h>
#include <qstringlist.h>

#include "qmautoptr.h"

/*! \file qmmarkmanager.h
  Definition of QmMarkManager class which represents the manager for marking songs.
*/

class QmMarkManager : public QObject
{
	Q_OBJECT
	
public:
	virtual ~QmMarkManager();
	static QmMarkManager* instance();

	void 				insert(const QString &song);
	void 				remove(const QString &song);
	bool				isBad(const QString &song) const;
	const QStringList&	badList() const;
	void				load();
	void				save();

signals:
	void songInserted();
	void songRemoved();

private:
	QmMarkManager();

    static QmAutoPtr<QmMarkManager> 		s_Instance;
	QStringList 				 		m_BadList;
};

#endif // QMMARKMANAGER_H_INCLUDED
