/* ;-*-c++-*-
 * 
 * qmminibuffer.h
 *
 * $Id: qmminibuffer.h,v 1.11.2.2 2002/10/11 06:39:03 kyllingstad Exp $
 * 
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#ifndef QMMINIBUFFER_H_INCLUDED
#define QMMINIBUFFER_H_INCLUDED

#include <qtoolbar.h>
#include <qlineedit.h>

class QLabel;
class QProgressBar;
class QString;
class QWidgetStack;
class QmMainWindow;
class QmPlayer;

/*!
  \file qmminibuffer.h
  Declaration of QmMiniBuffer which provides a statusbar and search functionality.
*/

class QmMiniBuffer : public QToolBar
{
	Q_OBJECT

public:
	explicit QmMiniBuffer(QmMainWindow *parent);
	~QmMiniBuffer();
    void message( const QString &msg, int msecs = -1 );
	void clear();

signals:
    void search(const QString &s);

public slots:
    void activateSearch();
	void deactivateSearch();

private slots:
    void returnPressed();
    
private:
	class QmLineEdit;
	friend class QmMiniBuffer::QmLineEdit;
	class QmLineEdit : public QLineEdit
	{
		QmMiniBuffer *m_pBuf;
	public:
		QmLineEdit(QmMiniBuffer *buf, QWidget *parent, const char *name=0);
	protected:
		virtual void keyPressEvent ( QKeyEvent * e );
	};

	
	QLabel       *m_pMessage;
	QmLineEdit   *m_pField;
	QWidgetStack *m_pStack;
    QWidget		 *m_pSearch;
    QWidget		 *m_pHadFocus;
    QProgressBar *m_pProgressBar;
    QLabel		 *m_pProgressMessage;
    QWidget		 *m_pProgress;
};



#endif // QMMINIBUFFER_H_INCLUDED
