/* ;-*-c++-*-
 * 
 * qmmixer.h
 *
 * $Id: qmmixer.h,v 1.7.2.1 2002/10/19 14:50:11 kyllingstad Exp $
 * 
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#ifndef QMMIXER_H_INCLUDED
#define QMMIXER_H_INCLUDED

#include <memory>
#include "qobject.h"

#include "qmautoptr.h"

/*! \file qmmixer.h
  Definition of QmMixer class which provides functionality to control the mixer.
*/

class QmMixer : public QObject 
{
	Q_OBJECT
public:
	static QmMixer* instance();
	virtual ~QmMixer();

	int  volume() const;
	void setVolume(int v);
	int  balance() const;
	int  step() const { return m_Step; }
	void step(int s) { m_Step = s; }

public slots:	
    void incVolume() { setVolume(volume() + m_Step); }
	void decVolume() { setVolume(volume() - m_Step); }

private:
	QmMixer(bool logarithmic = false);	
	bool 		m_UseLog;
	int			m_MixerFd;
	int         m_Step;

	static QmAutoPtr<QmMixer> s_pInstance;
};

#endif // QMMIXER_H_INCLUDED
