/* ;-*-c++-*-
 * 
 * qmmpg123page.h
 *
 * $Id: qmmpg123page.h,v 1.13 2002/03/07 03:44:16 mariuss Exp $
 * 
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#ifndef QMMPG123PAGE_H_INCLUDED
#define QMMPG123PAGE_H_INCLUDED

#include "qmconfigpage.h"

class QLineEdit;
class QSlider;
class QLabel;
class QButtonGroup;
class QCheckBox;

/*! \file qmmpg123page.h
  Definition of QmMpg123Page class which is a configuration page for mpg123.
*/

class QmMpg123Page : public QmConfigPage
{
	Q_OBJECT
	
public:
	QmMpg123Page(QmConfigDialog *parent = 0, const char *name = 0);
	virtual ~QmMpg123Page();

	virtual void load();
	virtual void save();
	virtual void discard();

private slots:
	void bufferChanged(int value);
	void browse();
	void browseArtsdp();
 
private:
	QLineEdit 	 *m_pPath;
	QLineEdit    *m_pArtsdspPath;
	QSlider 	 *m_pBuffer;
    QButtonGroup *m_pChannelGroup;
    QButtonGroup *m_pDownSampleGroup;
	QLabel		 *m_pBufferSize;
	QCheckBox    *m_pUseArtsdsp;
};

#endif // QMMPG123PAGE_H_INCLUDED
