/* qmnonepage.cpp
 *
 * $Id: qmnonepage.cpp,v 1.8 2002/04/27 22:08:22 mariuss Exp $
 *
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#include "qmnonepage.h"
#include "qmconfig.h"
#include "qmconfigpage.h"
#include "qmmainwindow.h"
#include "qmpixmapsupplier.h"

#include <iostream>

#include <qlabel.h>
#include <qlayout.h>


/**
 * @file qmnonepage.cpp
 * @brief Empty config page.
 */

/*!
  \class QmNonePage qmnonepage.h
  \brief Various settings
*/

QmNonePage::QmNonePage(
	QmConfigDialog *parent,
	const char *name)
	: QmConfigPage(parent, name)
{
	QVBoxLayout *layout = new QVBoxLayout(this, 5);
	QmPixmapSupplier *sup = QmPixmapSupplier::instance();
	QLabel *logo = new QLabel(this);
	logo->setPixmap( sup->pixmap( "icons-apollo" ) );
    logo->setBackgroundColor(white);
	logo->setAlignment(AlignCenter);
	logo->setFrameStyle(QFrame::StyledPanel | QFrame::Sunken);
	layout->addWidget(logo);
}

/*!
 */
QmNonePage::~QmNonePage()
{
}

void
QmNonePage::load()
{
}

void
QmNonePage::save()
{
}

