/* qmnullplayer.cpp
 *
 * $Id: qmnullplayer.cpp,v 1.4 2002/03/07 03:44:17 mariuss Exp $
 *
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#include "qmnullplayer.h"

//QmAutoPtr<QmNullPlayer> QmNullPlayer::s_pInstance;
QmNullPlayer *QmNullPlayer::s_pInstance = 0;

/**
 * @file qmnullplayer.cpp
 * @brief place holder for a mp3 decoder such as mpg123 and MAD
 */

/*!
  \class QmNullPlayer qmnullplayer.h
  \brief Represents a nonexisting player.

  This class is a null object.  That is, it acts as a place holder for another
  player, but does nothing.  This is to avoid having to check for null pointers
  throughtout where a QmPlayer object is expected.  If a real player could not
  be started, the QmPlayer object will be instantiated to a (the) QmNullPlayer
  instance.

  \bug Leaks memory; Using QmAutoPtr caused segmentation fault, SIGSEGV.
*/


/*!

*/

QmNullPlayer::QmNullPlayer()
{
}


/*!

*/

QmNullPlayer::~QmNullPlayer()
{
}


/*!

 */

QmNullPlayer *
QmNullPlayer::instance()
{
	/*
    if ( QmNullPlayer::s_pInstance.get() == 0 )
    {
        s_pInstance.reset( new QmNullPlayer() );
    }
	
    return reinterpret_cast<QmNullPlayer *>(QmNullPlayer::s_pInstance.get());
	*/

	if(s_pInstance == 0)
		s_pInstance = new QmNullPlayer;

	return s_pInstance;
}
