/* ;-*-c++-*-
 * qmplayfirst.h
 *
 * $Id: qmplayfirst.h,v 1.6 2002/03/30 11:49:07 kyllingstad Exp $
 *
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#ifndef QMPLAYFIRST_H_INCLUDED
#define QMPLAYFIRST_H_INCLUDED

#include "qmplaylist.h"
#include "qmsongitem.h"

class QmPlayFirst : public QmPlayList
{
    Q_OBJECT
public:
    QmPlayFirst(QWidget *parent = 0, const char *name = 0);
    ~QmPlayFirst();
    QListViewItem *pop();
    void append(QmSongItem *);
	void append(const QString &songFilename);
	virtual int position();
	virtual QmSongItem* song(int no=-1);
	virtual QmSongItem* currentSong();
	
 public slots:
    virtual void mouseClick(int button, QListViewItem * item, const QPoint & pos, int c );
    virtual void removeSelectedSongs();
	virtual void initMenu();
    
private:
    QmSongItem *poped;
    int m_RemoveSelectedSongsId;
};


#endif
