/* ;-*-c++-*-
 * 
 * qmplaylistbrowser.h
 *
 * $Id: qmplaylistbrowser.h,v 1.12 2002/03/31 23:52:42 kyllingstad Exp $
 * 
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#ifndef QMPLAYLISTBROWSER_H_INCLUDED
#define QMPLAYLISTBROWSER_H_INCLUDED

#include "qmlistview.h"

class QPopupMenu;
class QFileDialog;

class QmFileDialog;
class QmPlayListBrowserItem;
class QmPlayListPropertyPage;
class QmRenameEdit;

class QmPlayListBrowser : public QmListView
{
	Q_OBJECT
public:
	explicit QmPlayListBrowser(QWidget *parent = 0, const char *name = 0);
	virtual ~QmPlayListBrowser();

	QmPlayListBrowserItem *currentPlayList();
	void loadPlayListTree(const QString &filename);
    QString filePath() { return m_PlayListTree; }

private slots:
    void mouseClick(int button, QListViewItem * item, const QPoint & pos, int c );
    void mouseDoubleClick(QListViewItem * item );
	void showPopup(QListViewItem *current, const QPoint &pos, int);
	void addNewPlayList();
	void addOldPlayList();
	void addPlayListFolder();
	void renamePlayList();
	void propertyPlayList();
	void appendPlayList();
	void prependPlayList();
	void replacePlayList();
	void renameItem(const QString &text);
	void expanded(QListViewItem *item);

    void doAddNewPlayList( QFileDialog *dlg, int val );	
    void doAddOldPlayList( QFileDialog *dlg, int val );
    void loadFile();
    void doLoadFile(QFileDialog *dlg, int val);

protected:
    void addFolder(QmPlayListBrowserItem *folder, bool append=true);
    
	void renamePlayList(QListViewItem *item);
	void loadPlayListTree();
	void loadPlayListTree(QDomNode &node, QmPlayListBrowserItem *parent, int &lists, int &folders);
	QValueList<QDomNode> loadPlayListTreeNode(const QDomNode &node, QString &text, QString &path, QString &open, bool &is_folder);
	virtual void startDragging();
	void reallyAddNewPlayList(const QString &playlist);

protected slots:
	void saveFile(int forceAskp);
	void doSaveFile(QFileDialog *dlg, int val);

private:	
	QPopupMenu 					*m_pMenu;
	QmPlayListBrowserItem 		*m_pPlayListSelected;
	QmPlayListPropertyPage		*m_pPropertyPage;
	QmRenameEdit				*m_pRenameEdit;
	QListViewItem				*m_pRenameItem;
	QmFileDialog				*m_pFileDialog;
    QString                      m_PlayListTree;
	int					 		 m_AddPlayListFolderId;
	int					 		 m_AppendPlayListId;
	int					 		 m_PrependPlayListId;
	int							 m_PropertyPlayListId;
	int					 		 m_RemovePlayListId;
	int					 		 m_RenamePlayListId;
	int					 		 m_ReplacePlayListId;
	int					 		 m_SavePlayListId1;
	int					 		 m_SavePlayListId2;
	int					 		 m_SaveFileId;
	int					 		 m_SaveFileAsId;	
	int					 		 m_LoadFileId;
};

#endif // QMPLAYLISTBROWSER_H_INCLUDED
