/* ;-*-c++-*-
 * 
 * qmplaylistitem.h
 *
 * $Id: qmplaylistitem.h,v 1.19 2002/03/17 15:34:30 kyllingstad Exp $
 * 
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#ifndef QMPLAYLISTITEM_H_INCLUDED
#define QMPLAYLISTITEM_H_INCLUDED

/*! \file qmplaylistitem.h
  An item in the play list.
*/

#include "qmlistviewitem.h"

class QListView;
class QListViewItemIterator;
class QString;
class QTextStream;

class QmPlayListItem : public QmListViewItem
{
public:
	virtual ~QmPlayListItem();

	virtual QString	save( const QString &rel_path ) const = 0;
	virtual bool	isSong() const                        = 0;
    virtual bool	isBad() const;
    QmPlayListItem*	lastChild() const;
    virtual void	setDisplayFormat(const char *format, const char *formatMulti);
    virtual void	setLength( const QString &len );
    virtual void	setLengthSeconds(long length);
    virtual QString	lengthString()  const { return m_Length; }
    virtual long	length() const { return m_LengthSeconds; }
    virtual long	updateLength() { return m_LengthSeconds; }

    static void		setMatchItem(QmPlayListItem *item);
    
//      int sortCounter() const;
//      QString sortCounterString() const;
	virtual void save(QTextStream &out) const;

protected:
	QmPlayListItem(QListView *parent, QListViewItem *after);
	QmPlayListItem(QmPlayListItem *parent, QListViewItem *after);
    QString m_Length;
    long m_LengthSeconds;
    static QmPlayListItem *matchItem();

private:
	void save(QTextStream &out, QListViewItemIterator &it, long start_time=0, int dir_count=0, int song_count=0) const;

	static QmPlayListItem *m_pSearchMatch;
//      int m_Count;
};

#endif // QMPLAYLISTITEM_H_INCLUDED
