/* ;-*-c++-*-
 * 
 * qmpositionbar.h
 *
 * $Id: qmpositionbar.h,v 1.6 2002/03/07 03:44:17 mariuss Exp $
 * 
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#ifndef QMPOSITIONBAR_H_INCLUDED
#define QMPOSITIONBAR_H_INCLUDED

#include <qtoolbar.h>

class QmMainWindow;
class QmStatusBar;
class QSlider;
class QmPlayer;

/*! \file qmpositionbar.h
  Definition of QmPositionBar class which is the position (tracker) in the main window.
*/

class QmPositionBar : public QToolBar
{
	Q_OBJECT
public:
	QmPositionBar(QmMainWindow *parent, QmStatusBar *status, QmPlayer *player);
	virtual ~QmPositionBar();

	void initialize(QmPlayer *player);

private slots:
	void positionChanged(int v);
    void positionPressed();
    void positionReleased();
	void setSecondsPlayed(int s);
	void setTotalSeconds(int s);

private:
    void updatePosition( bool in_status, int time = -1 );
	QString positionText();

	QmStatusBar 		*m_pStatusBar;
	QmPlayer	 		*m_pPlayer;
	QSlider 			*m_pTracker;
    bool         		 m_PositionPressed;
    int                  m_TotalSeconds;
    QString              m_PosText;
};

#endif // QMPOSITIONBAR_H_INCLUDED
