/* ;-*-c++-*-
 * 
 * qmrecoverymanager.h
 *
 * $Id: qmrecoverymanager.h,v 1.4 2002/03/11 11:50:37 amos Exp $
 * 
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#ifndef QMRECOVERYMANAGER_H_INCLUDED
#define QMRECOVERYMANAGER_H_INCLUDED

#include "qmautoptr.h"
#include "qmconfig.h"

/*! \file qmconfig.h
  Declaration of QmConfig class.
*/

class QmRecoveryManager
{
public:
	enum RecoveryMode
	{
		Normal,
		Recovery,
		Exit
	};

	~QmRecoveryManager();
	static QmRecoveryManager *instance();

	RecoveryMode	start();
	void			stop();
	void 			setLoadingEnabled(QmConfig::ConfigFile f, bool e);
	bool			loadingEnabled(QmConfig::ConfigFile f) const;
	bool			recoveryFileExists() const;
    bool            disableRecoveryFileExists() const;
	void			removeRecoveryFile() const;
	void			createRecoveryFile() const;
	void			readRecoveryFile();
	int				lastProcessId() const;

private:
	QmRecoveryManager();
	QmRecoveryManager(const QmRecoveryManager &other);
	QmRecoveryManager& operator=(const QmRecoveryManager &other);

	int		m_LastPid;
	bool	m_Load[QmConfig::ConfigFilesEnd];

    static QmAutoPtr<QmRecoveryManager>	s_pInstance;
};

#endif // QMRECOVERYMANAGER_H_INCLUDED
