/* ;-*-c++-*-
 * 
 * qmrenameedit.h
 *
 * $Id: qmrenameedit.h,v 1.6 2002/03/07 03:44:17 mariuss Exp $
 * 
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#ifndef QMRENAMEEDIT_H_INCLUDED
#define QMRENAMEEDIT_H_INCLUDED

#include <qlineedit.h>

class QListViewItem;

class QmRenameEdit : public QLineEdit
{
	Q_OBJECT
public:
	QmRenameEdit(QWidget *parent);
	virtual ~QmRenameEdit();

	virtual void show();
	virtual void position(QListViewItem *item);

signals:
	void newName(const QString &text);
	
protected:
	virtual bool eventFilter(QObject *o, QEvent *e);
	virtual void keyPressEvent(QKeyEvent *e);
	virtual void focusOutEvent(QFocusEvent *e);
	virtual void paintEvent(QPaintEvent *e);

private slots:
	void sliderMoved(int);
	void rename();
	
private:
	QString m_OriginalText;
};

#endif // QMRENAMEEDIT_H_INCLUDED
