/* ;-*-c++-*-
 * 
 * qmsonginfo.h
 *
 * $Id: qmsonginfo.h,v 1.7 2002/03/17 15:34:30 kyllingstad Exp $
 * 
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#ifndef QMSONGINFO_H_INCLUDED
#define QMSONGINFO_H_INCLUDED

#include <qstring.h>

class QmSongInfo
{
public:
	enum Field
	{
		// These fields are from ID3v1:
		Title=0,
		Artist,
		Album,
		Year,
		Track,
		Genre,
		Comment,
		// More fields:
		Length,
		MultiArtist,
		Fields					// number of fields, max index
	};
	
	virtual ~QmSongInfo();

	/*!
	  Retrieves the value for field \a f. The the field does
	  not exist, an empty string will be returned.
	*/
	
	virtual const QString& get(Field f) const = 0;

	static QmSongInfo* create(const QString& filename);

protected:
	QmSongInfo();
	const QString &blank() const;

private:
	const QString m_Blank;
};

#endif // QMSONGINFO_H_INCLUDED
