/* qmsonginfopropertypage.cpp
 *
 * $Id: qmsonginfopropertypage.cpp,v 1.5 2002/03/22 21:10:18 mariuss Exp $
 *
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#include "qmsonginfopropertypage.h"
#include "qmsongitem.h"
#include "qmsonginfo.h"

#include <qfileinfo.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qlistview.h>

/*!
  \class QmSongInfoPropertyPage qmsonginfopropertypage.h
  \brief Shows song information.


*/


/*!

*/

QmSongInfoPropertyPage::QmSongInfoPropertyPage(
	QmSongItem *item,
	QmConfigDialog *parent,
	const char *name)
	: QmConfigPage(parent, name)
{
	CHECK_PTR(item);

	QVBoxLayout *main = new QVBoxLayout(this, 2);
	QGridLayout *top = new QGridLayout(2, 2);

	QLabel *label1	= new QLabel(tr("File:"), this);
	label1->setFixedWidth(label1->sizeHint().width());
	QLabel *label2	= new QLabel(tr("Path:"), this);
	label2->setFixedWidth(label2->sizeHint().width());

	QFileInfo fi(item->filePath());
	QLabel *file	= new QLabel(fi.fileName(), this);
	QLabel *path	= new QLabel(fi.dirPath(), this);

	top->addWidget(label1, 0, 0);
	top->addWidget(file, 0, 1);
	top->addWidget(label2, 1, 0);
	top->addWidget(path, 1, 1);

	QListView *lv = new QListView(this);
	lv->addColumn(tr("Field"));
	lv->addColumn(tr("Value"));

	QmSongInfo *si = item->info();

	(void) new QListViewItem(lv, tr("Title"),	si->get(QmSongInfo::Title));
	(void) new QListViewItem(lv, tr("Artist"),	si->get(QmSongInfo::Artist));
	(void) new QListViewItem(lv, tr("Album"),	si->get(QmSongInfo::Album));
	(void) new QListViewItem(lv, tr("Year"),	si->get(QmSongInfo::Year));
	(void) new QListViewItem(lv, tr("Track"),	si->get(QmSongInfo::Track));
	(void) new QListViewItem(lv, tr("Genre"),	si->get(QmSongInfo::Genre));
	(void) new QListViewItem(lv, tr("Comment"),	si->get(QmSongInfo::Comment));
	(void) new QListViewItem(lv, tr("Length"),	si->get(QmSongInfo::Length));

    delete si;

	main->addLayout(top);
	main->addWidget(lv, 2);
}


/*!

*/

QmSongInfoPropertyPage::~QmSongInfoPropertyPage()
{
}
