/* ;-*-c++-*-
 * 
 * qmstatusbar.h
 *
 * $Id: qmstatusbar.h,v 1.8 2002/03/07 03:44:17 mariuss Exp $
 * 
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#ifndef QMSTATUSBAR_H_INCLUDED
#define QMSTATUSBAR_H_INCLUDED

#include <qtoolbar.h>

class QmMainWindow;
class QmPlayer;
class QTimer;
class QLabel;
class QString;
class QPaintEvent;

/*! \file qmstatusbar.h
  Definition of QmStatusBar class which is the statusbar (toolbar) of the Apollo window
*/

class QmStatusBar : public QToolBar
{
	Q_OBJECT
public:
	QmStatusBar(QmMainWindow *parent, QmPlayer *player);
	virtual ~QmStatusBar();

	void initialize(QmPlayer *player);

    void showMessage( const QString &msg, int msecs = -1 );
    void showSongInfo();
    void updateStatus();
	void updateCaption();
	void showNameStatus(bool s);
	void clearTime();
	void clearName();
	int secondsPlaying() const;

public slots:
	void secondsCount(int s);
	void secondsPlaying(int s);
	void setSongTitle( const QString &title );

private slots:
    void resetStatus();

protected:
	virtual void resizeEvent ( QResizeEvent *e );
	
private:
	QmMainWindow 		*m_pMainWindow;
    QTimer              *m_pStatusTimer;
    QLabel				*m_pStatus;
	QLabel              *m_pStatusTime;
    QString             m_MessageString;
    QString             m_TimeString;
    QString             m_NameString;
    QString             m_TimeTotalString;
    bool                m_ShowNameStatus;
	QmPlayer			*m_pPlayer;
	int                 m_SecondsPlaying;
	int                 m_TotalSeconds;
	QFontMetrics        *m_pFontMetrics;
};

#endif // QMSTATUSBAR_H_INCLUDED
