/* qmsystray.cpp
 *
 * $Id: qmsystray.cpp,v 1.1 2002/03/13 15:09:36 amos Exp $
 *
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#include "qmsystray.h"

#ifdef APOLLO_USE_SYSTRAY
#include "kde/qmsystray_kde.h"

QmSystrayClient *QmSystray::m_pClient( 0 );
#endif

#include <qwidget.h>

/**
 * \file qmsystray.cpp
 * \brief Apollo as an icon in the systray
 */

/*!
  \class QmSystray qmsystray.h
  \brief Represents the system tray icon

*/

void
QmSystray::show( QWidget *parent, bool show )
{
#ifdef APOLLO_USE_SYSTRAY
    if ( show )
    {
        if ( m_pClient != 0 )
            return;
        m_pClient = new QmSystrayClient( parent, "systray" );
        m_pClient->show();
    }
    else
    {
        if ( m_pClient == 0 )
            return;
        delete m_pClient;
        m_pClient = 0;
    }
#else
    //! \todo Find a different way to avoid warnings for the parameters.
    if ( show );
    if ( parent );
#endif
}
