/* ;-*-c++-*-
 * 
 * qmvolumebar.h
 *
 * $Id: qmvolumebar.h,v 1.7 2002/03/07 03:44:17 mariuss Exp $
 * 
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#ifndef QMVOLUMEBAR_H_INCLUDED
#define QMVOLUMEBAR_H_INCLUDED

#include <qtoolbar.h>
#include "qmmixer.h"

class QSlider;
class QTimer;
class QmMainWindow;
class QmStatusBar;

/*! \file qmvolumebar.h
  Definition of QmVolumeBar class which is the volumebar (toolbar) of the Apollo window
*/

class QmVolumeBar : public QToolBar
{
	Q_OBJECT
public:
	QmVolumeBar(QmMainWindow *parent, QmStatusBar *status);
	virtual ~QmVolumeBar();

    void updateVolume( bool in_status, int time = -1 );
	void updateVolume();

protected:
    QString volumeText() const;

private slots:
	void volumeChanged(int v);
    void volumePressed();
    void volumeReleased();
    void refreshVolume();
	
private:
	QSlider 	*m_pVolume;
    QTimer      *m_pVolumeTimer;
	QmStatusBar *m_pStatusBar;
    bool         m_VolumePressed;
	QmMixer		*m_pMixer;
    int          m_ShortMessageTime;
	int          m_Volume;
};

#endif // QMVOLUMEBAR_H_INCLUDED
